<?php
class tx_air_table_getSingleFieldClass {
	/**
	 * @param $table
	 * @param $field
	 * @param $row
	 * @param $altName
	 * @param $palette
	 * @param $extra
	 * @param $pal
	 * @param $parentObject
	 */
	public function getSingleField_preProcess($table, $field, &$row, $altName, $palette, $extra, $pal, $parentObject) {
			// Если режим отладки включен - к какдой колонке выводим ее ключ
		if ($GLOBALS['BE_USER']->user['ext_infoblock_flag_debug_mode'] == 1) {
			if (!isset($parentObject->fieldTemplateOriginal)) {
				$parentObject->fieldTemplateOriginal = $parentObject->fieldTemplate;
			}
			$str = "<br /><span style='display: block; margin-top: 3px; margin-bottom: 3px; background-color: #585858; color: white; border-radius: 3px; font-weight: normal; padding: 2px 5px 2px 5px;'>".$field."</span>";
			$parentObject->fieldTemplate = str_replace("###FIELD_NAME###", "###FIELD_NAME### " . $str, $parentObject->fieldTemplate);
		}
	}
	
	/**
	 * @param string $table table name
	 * @param string $field field name
	 * @param array $row record
	 * @param string $out content rendered
	 * @param array $PA current configuration
	 * @param $parentObject
	 */
	public function getSingleField_postProcess($table, $field, $row, &$out, $PA, $parentObject) {
			// Если режим отладки включен - к какдой колонке выводим ее ключ
		if ($GLOBALS['BE_USER']->user['ext_infoblock_flag_debug_mode'] == 1) {

				// Восстанавливаем шаблон
			$parentObject->fieldTemplate = $parentObject->fieldTemplateOriginal;
		
			if (isset($out['FIELD']) && isset($out['ITEM'])) {
				$out['NAME'] = $out['NAME'] . " <br /><span style='display: block; margin-top: 3px; margin-bottom: 3px; background-color: #585858; color: white; border-radius: 3px; font-weight: normal; padding: 2px 5px 2px 5px;'>".$out['FIELD']."</span>";
				/*
				if ($PA['fieldConf']['isNotModifiedColumn'] == 1){
					$out['NAME'] = $out['NAME'] . " [<span style='color: green;'>field NEW COLUMN:</span> <span style='color: gray; font-weight: normal;'>".$out['FIELD']."]</span>";
				} elseif ($PA['fieldConf']['isModifiedColumn'] == 1){
					$out['NAME'] = $out['NAME'] . " [<span style='color: red;'>field CHANGE COLUMN:</span> <span style='color: gray; font-weight: normal;'>".$out['FIELD']."]</span>";
				} else {
					$out['NAME'] = $out['NAME'] . " [<span style='color: gold;'>field DEFAULT:</span> <span style='color: gray; font-weight: normal;'>".$out['FIELD']."]</span>";
				}
				*/
			}
		}

	}
}
	
?>