<?php
class ux_t3lib_tree_pagetree_DataProvider extends t3lib_tree_pagetree_DataProvider {
	/**
	 * Returns all sub-pages of a given id
	 *
	 * @param int $id
	 * @param string $searchFilter
	 * @return array
	 */
	protected function getSubpages($id, $searchFilter = '') {
		#$where = $this->getWhereClause($id, $searchFilter);
		#return $GLOBALS['TYPO3_DB']->exec_SELECTgetRows('uid,t3ver_wsid', 'pages', $where, '', 'sorting', '', 'uid');
		$rec = t3lib_befunc::getRecord('pages', $id, 'tx_air_table_page_children_sorting');
		if (!empty($rec['tx_air_table_page_children_sorting'])) { 
			// $new_sort = preg_replace('/\W+/', '', $rec['tx_air_table_page_children_sorting']); // защита от SQL-иньекций
			$new_sort = $rec['tx_air_table_page_children_sorting'];
			$where = $this->getWhereClause($id, $searchFilter);
			return $GLOBALS['TYPO3_DB']->exec_SELECTgetRows('uid,t3ver_wsid', 'pages', $where, '', $new_sort, '', 'uid');
		} else {
			$where = $this->getWhereClause($id, $searchFilter);
			return $GLOBALS['TYPO3_DB']->exec_SELECTgetRows('uid,t3ver_wsid', 'pages', $where, '', 'sorting', '', 'uid');
		}
	}
}
?>