lib.ATTACH_IMAGES_INLINE {
    config {
		type = inline
		foreign_table = sys_file_reference
		foreign_field = uid_foreign
		foreign_sortby = sorting_foreign
		foreign_table_field = tablenames
		# foreign_match_fields { # если не задано - ставиться автоматически
		# 	fieldname = media
		# 	fieldname = image
		# }
		foreign_label = uid_local
		foreign_selector = uid_local
		foreign_selector_fieldTcaOverride   {
			config {
				appearance {
					elementBrowserType = file
					elementBrowserAllowed = gif,jpg,jpeg,tif,tiff,bmp,pcx,tga,png,pdf,ai
				}

           }
		}
		filter {
			0 {
				userFunc = TYPO3\CMS\Core\Resource\Filter\FileExtensionFilter->filterInlineChildren
				parameters {
					allowedFileExtensions = gif,jpg,jpeg,tif,tiff,bmp,pcx,tga,png,pdf,ai
					disallowedFileExtensions = 
				}
			}
		}
		appearance {
			useSortable = 1
			headerThumbnail {
				field = uid_local
				width = 64
				height = 64
			}
			# showPossibleLocalizationRecords = 1
			# showRemovedLocalizationRecords = 1
			showSynchronizationLink = 1
			enabledControls {
				info = 
				new = 
				dragdrop = 1
				sort = 
				hide = 1
				delete = 1
				# localize = 1
			}
			createNewRelationLinkTitle = LLL:EXT:cms/locallang_ttc.xlf:images.addFileReference
		}
		behaviour {
			# localizationMode = select
            # localizeChildrenAtParentLocalization = 1
		}
	}
}

lib.ATTACH_DOCUMENTS_INLINE {
    config {
		type = inline
		foreign_table = sys_file_reference
		foreign_field = uid_foreign
		foreign_sortby = sorting_foreign
		foreign_table_field = tablenames
		# foreign_match_fields { # если не задано - ставиться автоматически
		# 	fieldname = media
		# 	fieldname = image
		# }
		foreign_label = uid_local
		foreign_selector = uid_local
		foreign_selector_fieldTcaOverride   {
			config {
				appearance {
					elementBrowserType = file
					elementBrowserAllowed = 
				}

           }
		}
		filter {
			0 {
				userFunc = TYPO3\CMS\Core\Resource\Filter\FileExtensionFilter->filterInlineChildren
				parameters {
					allowedFileExtensions = 
					disallowedFileExtensions = 
				}
			}
		}
		appearance {
			useSortable = 1
			headerThumbnail {
				field = uid_local
				width = 64
				height = 64
			}
			# showPossibleLocalizationRecords = 1
			# showRemovedLocalizationRecords = 1
			showSynchronizationLink = 1
			enabledControls {
				info = 
				new = 
				dragdrop = 1
				sort = 
				hide = 1
				delete = 1
				# localize = 1
			}
			createNewRelationLinkTitle = LLL:EXT:cms/locallang_ttc.xlf:images.addFileReference
		}
		behaviour {
			# localizationMode = select
            # localizeChildrenAtParentLocalization = 1
		}
	}
}


