<?php
class tx_air_table_box_rendering extends tslib_pibase {
	/**
	 * @var tslib_cObj
	 */
	// public $cObj;
	# public $prefixId      = 'csc-box'; // Same as class name
	# public $scriptRelPath = 'pi1/box.php'; // Path to this script relative to the extension dir.
	# public $extKey        = 'air_table'; // The extension key.

	/**
	 * The main method of the Plugin.
	 *
	 * @param string $content The Plugin content
	 * @param array $conf The Plugin configuration
	 * @return string The content that is displayed on the website
	 */
	public function main($content, array $conf) {
		
			// Ts parse
		$tsParser = t3lib_div::makeInstance('t3lib_TSparser');
		$tsParser->parse( $this->cObj->data['box_rendering_ts_config'] );
		$tsConf = $tsParser->setup; // result
		
			// Prexif
		if ($this->cObj->data['CType'] == "box_int") {
			$this->prefixId = "csc-box-int";
		} else {
			$this->prefixId = "csc-box";
		}
		
		$content = $this->cObj->cObjGetSingle("COA", $tsConf); // . rand(1,1000)
		return $this->pi_wrapInBaseClass($content);
	}
}
?>