/***************************************************************
*  Copyright notice
*
*  (c) 2007 Ingo Renner <ingo@typo3.org>
*  (c) 2008 Frank Nägler <typo3@naegler.net>
*  All rights reserved
*
*  This script is part of the TYPO3 project. The TYPO3 project is
*  free software; you can redistribute it and/or modify
*  it under the terms of the GNU General Public License as published by
*  the Free Software Foundation; either version 2 of the License, or
*  (at your option) any later version.
*
*  The GNU General Public License can be found at
*  http://www.gnu.org/copyleft/gpl.html.
*  A copy is found in the textfile GPL.txt and important notices to the license
*  from the author is found in LICENSE.txt distributed with these scripts.
*
*
*  This script is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*  GNU General Public License for more details.
*
*  This copyright notice MUST APPEAR in all copies of the script!
***************************************************************/

/**
 * class to handle the clear cache menu
 *
 * $Id$
 */
var T3infoblockLinksMenu = Class.create({

	/**
	 * registers for resize event listener and executes on DOM ready
	 */
	initialize: function() {
		Event.observe(window, 'resize');
		Event.observe(window, 'load', function(){
			Event.observe('iblblocksemaforinformationlink', 'click', function(event) {
			
				var toolbarItem = $$('#t3infoblock-links-menu > a')[0];
				var menu        = $$('#t3infoblock-links-menu .toolbar-item-menu')[0];

				if(!toolbarItem.hasClassName('toolbar-item-active')) {
					toolbarItem.addClassName('toolbar-item-active');
					Effect.Appear(menu, {duration: 0.2});
					TYPO3BackendToolbarManager.hideOthers(toolbarItem);
				} else {
					toolbarItem.removeClassName('toolbar-item-active');
					Effect.Fade(menu, {duration: 0.1});
				}
			
			});
				// observe all clicks on clear cache actions in
				// the menu
		}.bindAsEventListener(this));
	},

	/**
	 * positions the menu below the toolbar icon, let's do some math!
	 */
	positionMenu: function() {},

	/**
	 * toggles the visibility of the menu and places it under the toolbar
	 * icon
	 */
	toggleMenu: function(event) {},

	/**
	 * calls the actual clear cache URL using an asynchronious HTTP request
	 *
	 * @param	Event	prototype event object
	 */
	
	clickSection: function(event) {},
	
	
});

var TYPO3BackendT3infoblockLinksMenu = new T3infoblockLinksMenu();