<?php
if ($GLOBALS['_GET']['ext'] == 1) {
$arrayExtList = array(
	"air_table" => 1,
	"air_table_temp" => 1,
	"boards" => 1,
	"tinymce_rte_patch" => 1,
	"phptemplate" => 1,
	"xdbmysql" => 1,
	"spiderindexing" => 1,
);
$arrayExtListComment = array();
/**
 * Generate an MD5 hash string from the contents of a directory.
 *
 * @param string $directory
 * @return boolean|string
 */
function air_table_info_hashDirectory($directory)
{
    if (! is_dir($directory))
    {
        return false;
    }
 
    $files = array();
    $dir = dir($directory);
 
    while (false !== ($file = $dir->read()))
    {
        if ($file != '.' and $file != '..')
        {
            if (is_dir($directory . '/' . $file))
            {
                $files[] = air_table_info_hashDirectory($directory . '/' . $file);
            }
            else
            {
				if ($file != "ext_emconf.php" && $file != "locallang_temp.xml" && $file != "info-my-ext.php") {
					// $files[] = md5_file($directory . '/' . $file);
					$content = file_get_contents($directory . '/' . $file);
					$files[] = md5($content);
				}
            }
        }
    }
 
    $dir->close();
    return md5(implode('', $files));
}

?> 

<!DOCTYPE html>
<html>
<head>

	<meta charset="utf-8">

</head>	
<body>

	<h1>Версии расширения, загруженные из репозитория</h1><table border="1"> <?
	foreach ($arrayExtList as $key => $value){
		if (file_exists(PATH_site.'typo3conf/ext/'.$key.'/ext_icon.gif')){
			$icon = '/typo3conf/ext/'.$key.'/ext_icon.gif';
		} else {
			$icon = '/typo3conf/ext/air_table/res/ext_icon_none.png';
		}
	?> <tr><td><img src="<?=$icon?>" width="16" height="16"></td>
	<td><a href="http://typo3.org/extensions/repository/view/<? print $key; ?>"><? print $key; ?></a></td><td> <?
		
		$_EXTKEY = $key;
		if ($key == "air_table_temp"){
			$temp = null;
		} else {
			$temp = air_table_info_hashDirectory(PATH_site . "typo3conf/ext/".$key);
		}
		
		include(PATH_site . "typo3conf/ext/".$key."/ext_emconf.php");
		print (($EM_CONF[$_EXTKEY]['version']==null)?'-':$EM_CONF[$_EXTKEY]['version']);
		print "</td><td>";
		print (($EM_CONF[$_EXTKEY]['state']==null)?'-':$EM_CONF[$_EXTKEY]['state']);
		print "</td><td>";
		print (($temp==null)?'-':$temp);
		print "</td><td>";
		print (($temp==null)?'-':$temp[0] .' '. $temp[16] .' '. substr($temp, -1));
		
		$depends = null;
		foreach($EM_CONF[$_EXTKEY]['constraints']['depends'] as $kDep => $vDep){
			if ($kDep == "typo3") {
				$depends[] = $kDep . " - " . $vDep;
			}
		}
		print "<td>";
		print implode(", <br />" , $depends);
		
		if ( t3lib_extMgm::isLoaded($key) ) {
			print "<td style='background-color: green;'>";
			print "Loaded";
		} else {
			print "<td style='background-color: red;'>";
			print "NOT Loaded";
		}
		
			//
		if (isset($arrayExtListComment[$key])) {
			print "</td></tr><tr><td colspan='8'>";
			print $arrayExtListComment[$key];
		}
		
	?> </td></tr> <?
	}

?>

</table>
</body>
</html>

<?
	exit();
}
?>